Loyalty.lt
Shop points

Get Points Summary

Get a summary of points across all user's cards

GET/{locale}/shop/points/summary

Get a summary of points across all user's cards

Authorization

bearerAuth
AuthorizationBearer <token>

Enter JWT token in the format: Bearer {token}

In: header

Path Parameters

locale*string

Locale code

Query Parameters

date_from?string

Filter from date

Formatdate
date_to?string

Filter to date

Formatdate

Response Body

application/json

curl -X GET "https://example.com/en/shop/points/summary"
{  "success": true,  "data": {    "total_balance": 2500,    "total_earned": 5000,    "total_spent": 2500,    "active_cards_count": 3,    "cards_summary": [      {        "card_id": 1,        "card_name": "My Loyalty Card",        "card_number": "LC00000001",        "balance": 1250,        "earned": 2000,        "spent": 750      }    ]  },  "code": 200}